<?php session_start(); ?>
<!doctype html>
<?php 
	$filename = 'db/idl_connect_data.php';
	if (file_exists($filename)) {
		include('db/idl_connect_data.php');
	}
	else {
		include('db/_idl_connect_data.php');
	}
	@include('db/idl_multi.php');
?>

<html>
<head>

	<meta charset="utf-8" />
	<title>Accueil - InfodocLog</title>
	<link rel="stylesheet" type="text/css" href="css/idl_solo.css" />
	<link rel="stylesheet" type="text/css" href="css/idl_print.css" media="print" />
	<link rel="stylesheet" href="include/fontawesome/css/all.css">

</head>

<body onLoad="document.forms['enter'].elements['login'].focus()">
	
	<?php $page_header = 'index'; ?>
	<?php include('include/header.php'); ?>
	
	<section>
		
		<?php 
		if(!$bdd = @mysqli_connect($server, $user, $pwd)){
			if(phpversion()<5.6&&phpversion()>=8.1) {
				echo '<p class="signal" style="text-align:center;">Attention, votre version de PHP ('.phpversion().') n\'est pas compatible avec InfodocLog (>=5.6 et <=8.0).<br>Si vous procédez à l\'installation, vous risquez de rencontrer des problèmes de fonctionnement.</p>';
			}
			echo '<div class="center"><h1><a href="install.php">Installer InfodocLog</a></h1></div>';
		}
		else if(!$bdd = @mysqli_connect($server, $user, $pwd, $base)){
			if(phpversion()<5.6&&phpversion()>=8.1) {
				echo '<p class="signal" style="text-align:center;">Attention, votre version de PHP ('.phpversion().') n\'est pas compatible avec InfodocLog (>=5.6 et <=8.0).<br>Si vous procédez à l\'installation, vous risquez de rencontrer des problèmes de fonctionnement.</p>';
			}
			echo '<div class="center"><h1><a href="install.php">Installer InfodocLog</a></h1></div>';
		}
		else {
			include('db/idl_connect.php');
			
			if(!isset($prefix)) { $prefix = 'idlog'; }
			if(isset($_SESSION['user_droits'])) {
				// Gestion des mises à jour de la base de données
				if($_SESSION['user_droits'][4]=="2")
				{
					$url = "http://iddocs.fr/infodoclog/log/version.txt";
					$vers_offbdd = "";
					$vers_offurl = fopen($url,"r");
					$vers_offbdd = @substr($vers_offurl, 5, strpos($vers_offurl,"/"));
					if($vers_offbdd!="") {
						$versinb = mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'version_bdd'");
						$versinb_info = mysqli_fetch_assoc($versinb);
						if($versinb_info['valeur']!=$vers_offbdd) {
							echo '<script language="Javascript">
							<!--
							document.location.replace("param.php?page=majlog");
							// -->
							</script>';
						}
					}
				}
				$redirect = array('','eval','edit','edt','freq','param','database');
				if($_SESSION['accueil']> 0&&$_SESSION['accueil']< 7) {
					echo '<script language="Javascript">
					<!--
					document.location.replace("'.$redirect[$_SESSION['accueil']].'.php");
					// -->
					</script>';
				}				
				else {
					$check_droits = $user_info['droits'];
					$check_eval = substr($check_droits, 0, 1);
					$check_edit = substr($check_droits, 1, 1);
					$check_edt = substr($check_droits, 2, 1);
					$check_freq = substr($check_droits, 3, 1);
					$check_param = substr($check_droits, 4, 1);
					$check_database = substr($check_droits, 5, 1);
					$redircheck = array('freq','edt','edit','eval','database','param');
					$checkedredir=0;
					foreach($redircheck as $suffix) {
						if(${'check_'.$suffix}==4||${'check_'.$suffix}==2) {
							echo '<script language="Javascript">
							<!--
							document.location.replace("'.$suffix.'.php");
							// -->
							</script>';
							$checkedredir=1;
						}
					}					
					if($checkedredir==0) {
						echo 'Vous n\'avez aucun accès. Contactez votre administrateur.';
					}
				}
			}
			else {
				echo '<form method="post" name="enter" action="db/droits.php" class="padd2"><div class="center">';

				if(@$multi=='ON') {
					echo '<br><div class="box"><select name="etabchoix" id="etabchoix" onchange="etab_resopt()">';
					foreach($multichoix as $choix) {
						echo '<option';
						if($choix==@$_COOKIE['LOGGED_ETAB']) {
							echo ' selected ';
						}
						echo '>'.$choix.'</option>';
					}
					echo '</select></div>';
				}
				echo '<h1>Identification :</h1>';
				if(isset($_SESSION['essai_con'])) {
					if($_SESSION['essai_con']>5) {
						echo $_SESSION['essai_con_mes'];
					}
				}
				echo '<script language="Javascript">
					function showPass() {
					  var x = document.getElementById("id_password");
					  var y = document.getElementById("eye");
					  if (x.type === "password") {
					    x.type = "text";
					    y.className = "fa-solid fa-eye-slash";
					  } else {
					    x.type = "password";
					    y.className = "fa-solid fa-eye";
					  }
					}
				</script>
				<input class="inptxti" type="text" name="login" maxlength="40" value="" placeholder="Identifiant" style="margin-right:-6px;" /><br>
					<input class="inptxti" type="password" name="mdp" autocomplete="current-password" required="" maxlength="30" value="" placeholder="Mot de passe" id="id_password" /><i class="fa-solid fa-eye" id="eye" onclick="showPass()" style="margin-left: -26px; cursor: pointer;"></i><br>
					<input class="bouton inptxti boutdb" type="submit" value="Valider" /></form></div>';
				// Réservation individuelle
				$resa=0;
				if(isset($_POST['check_reserv'])) {
					if(isset($_SESSION['essai_res'])) {
						$_SESSION['essai_res']++;
					}
					if(isset($_POST['mdpres'])&&@$_SESSION['essai_res']<6) {
						if($_POST['reserv_could']==1) {
							$log3 = mysqli_real_escape_string($bdd,$_POST['mdpres']);
							$reserv_exist = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_mdp' AND valeur = PASSWORD('$log3')"));
						}
						if($reserv_exist==0) {
							echo '<script language="Javascript">
							<!--
							document.location.replace("index.php");
							// -->
							</script>';
						}
						else {
							if(@$multi=="ON") { //mémorisation de la base par cookie si multi
								setcookie(
									'LOGGED_ETAB',
									$_SESSION['etabchoix'],
									[
										'domain' => $_SERVER["SERVER_NAME"],
										'expires' => time() + 90*24*3600,
										'secure' => true,
										'SameSite' => 'Strict',
										'path' => '/',
									]
								);
							}
							$_SESSION['userres_droits'] = 1;
							@$_SESSION['etabchoix'] = @$_POST['etabchoix'];	
							$_SESSION['essai_res']=0;
							echo '<script language="Javascript">
							<!--
							document.location.replace("reserver.php");
							// -->
							</script>';
						}
					}
				}
				if(@$multi=='ON') {
					echo '<script type=\'text/javascript\'>
						function getXhr(){
							var xhr = null; 
							if(window.XMLHttpRequest) // Firefox et autres
							   xhr = new XMLHttpRequest(); 
							else if(window.ActiveXObject){ // Internet Explorer 
							   try {
										xhr = new ActiveXObject("Msxml2.XMLHTTP");
									} catch (e) {
										xhr = new ActiveXObject("Microsoft.XMLHTTP");
									}
							}
							else { // XMLHttpRequest non supporté par le navigateur 
							   alert("Votre navigateur ne supporte pas les objets XMLHTTPRequest..."); 
							   xhr = false; 
							} 
							return xhr;
						}

						/**
						* Méthode qui sera appelée sur le click du bouton la division
						*/
						function etab_resopt(){
							
							var xhr = getXhr();
							xhr.onreadystatechange = function(){
								if(xhr.readyState == 4 && xhr.status == 200){
									leselect = xhr.responseText;
									document.getElementById(\'resopt_ch\').innerHTML = leselect;
								}
							}

							xhr.open("POST","db/proc/multi_res_opt.php",true);
							xhr.setRequestHeader(\'Content-Type\',\'application/x-www-form-urlencoded\');
							sel = document.getElementById(\'etabchoix\');
							idauteur = sel.options[sel.selectedIndex].value;
							xhr.send("idAuteur="+idauteur);
						}
					</script>';
				}
				else {
					$reserv_could=mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve'"));
					if($reserv_could['valeur']==1) {
						$resa=1;
						echo '<div class="center"><h1>Page de r&eacute;servation individuelle :</h1>';
						if(@$_SESSION['essai_res']>5) {
							echo '<p class="signal">Essais trop nombreux, attendez 30 minutes.</p>';
						}
						echo '<form method="post" name="reserventer" action="" class="padd2">';
						echo '<input type="hidden" name="reserv_could" value="'.$reserv_could['valeur'].'" />';
						echo '<input class="inptxt" type="password" name="mdpres" maxlength="15" value="" placeholder="Mot de passe" />';
						echo '<br><input class="bouton inptxt boutdb" type="submit" value="Valider" name="check_reserv" />
						</form></div>';
					}
				}
				echo '<div id=\'resopt_ch\' style=\'display:inline\'>';
				if(isset($_COOKIE['LOGGED_ETAB'])&&$resa==0) {
					$_SESSION['etabchoix']=$_COOKIE['LOGGED_ETAB'];
					include('db/idl_multi.php');
					$reserv_could=mysqli_fetch_assoc(mysqli_query($bdd,"SELECT valeur FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve'"));
					if($reserv_could['valeur']==1) {
						echo '<div class="center"><h1>Page de r&eacute;servation individuelle :</h1>';
						if(@$_SESSION['essai_res']>5) {
							echo '<p class="signal">Essais trop nombreux, attendez 30 minutes.</p>';
						}
						echo '<form method="post" name="reserventer" action="" class="padd2">';
						echo '<input type="hidden" name="reserv_could" value="'.$reserv_could['valeur'].'" />';
						echo '<input class="inptxt" type="password" name="mdpres" maxlength="15" value="" placeholder="Mot de passe" />';
						echo '<br><input class="bouton inptxt boutdb" type="submit" value="Valider" name="check_reserv" />
						</form></div>';
					}
				}
				echo '</div>';
			}
		}
		?>
	</section>
</body>
</html>
